package http_model

type WorkspaceNumsRequest struct {
}

type WorkspaceNums struct {
	ProjectFunds      float64 `json:"project_funds"`       // 项目资金
	PaymentPending    int64   `json:"payment_pending"`     // 项目待支付
	DraftNum          int64   `json:"draft_num"`           // 草稿箱
	RecruitingFullNum int64   `json:"recruiting_full_num"` // 全流程-招募中
	ExecutionFullNum  int64   `json:"execution_full_num"`  // 全流程-执行中
	ExecutionSpecNum  int64   `json:"execution_spec_num"`  // 专项-执行中
}

func NewWorkspaceNumsRequest() *WorkspaceNumsRequest {
	return new(WorkspaceNumsRequest)
}

func NewWorkspaceNumsResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(WorkspaceNums)
	return resp
}
